Bug 844708 - When UI raised any validation error, the pop-up should automatically get closed
When UI raised any validation error, the pop-up should automatically get closed
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Brad Buckingham
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-31 09:12 EDT by Sachin Ghai
Modified: 2013-09-19 14:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 14:12:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Validation error raised and even closing this error, the pop-up is still on screen, it should automatically be closed. (69.85 KB, image/png)
2012-07-31 09:12 EDT, Sachin Ghai
no flags Details

  None (edit)
Description Sachin Ghai 2012-07-31 09:12:03 EDT
Created attachment 601522 [details]
Validation error raised and even closing this error, the pop-up is still on screen, it should automatically be closed.

Description of problem:
I Created  a system group and set the max allowed limit for systems to '1' and tried to add 2 systems. First one was added successfully and when tried 2nd system to add via bulk-system add, UI raised a validation error and it is expected. But the pop-up raised with following text should automatically be closed. 
-
Are you sure you want to add the 1 selected system(s) to the system group(s) entered?
--


Version-Release number of selected component (if applicable):
Katello Version: 0.2.47-1.git.225.b3aa579.el6_3 

How reproducible:
always

Steps to Reproduce:
1. Create a system group and edit the max allowed limt to 1
2. Add 2 systems to system group
3. for adding the system to system group 
   select system and press crtl key, this activate the right pane. Now select the system group name and select the check box. 
  
Actual results:



Expected results:
On raising the validation error, UI should automatically close the pop-up that contains the text:
--
Are you sure you want to add the 1 selected system(s) to the system group(s) entered?
--

Additional info:
Comment 1 Mike McCune 2012-08-07 12:00:29 EDT
possibly related:

https://bugzilla.redhat.com/show_bug.cgi?id=845096
Comment 2 Brad Buckingham 2012-12-19 08:03:16 EST
katello: 
https://github.com/Katello/katello/pull/1299

commit:
d53826e02c28e43a8244d7102cb7a9402dfdc897
Comment 3 Mike McCune 2013-08-16 14:22:17 EDT
getting rid of 6.0.0 version since that doesn't exist
Comment 4 Mike McCune 2013-09-19 14:12:13 EDT
These bugs have been resolved in upstream projects for a period of months so I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.